Package org.apache.ignite.internal.processors.query.running

## Class SqlQueryMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.running.SqlQueryMXBeanImpl

All Implemented Interfaces:
  `SqlQueryMXBean`

    public class SqlQueryMXBeanImpl
    extends Object
    implements SqlQueryMXBean

QueryMXBean implementation.

### Constructor Summary

Constructors
`SqlQueryMXBeanImpl​(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLongQueryTimeoutMultiplier()`
`long` `getLongQueryWarningTimeout()`
`long` `getResultSetSizeThreshold()`
`int` `getResultSetSizeThresholdMultiplier()` Gets result set size threshold multiplier.
`void` `setLongQueryTimeoutMultiplier​(int longQryTimeoutMultiplier)` Sets long query timeout multiplier.
`void` `setLongQueryWarningTimeout​(long longQryWarningTimeout)` Sets timeout in milliseconds after which long query warning will be printed.
`void` `setResultSetSizeThreshold​(long rsSizeThreshold)` Sets threshold result's row count, when count of fetched rows is bigger than the threshold warning will be printed.
`void` `setResultSetSizeThresholdMultiplier​(int rsSizeThresholdMultiplier)` Sets result set size threshold multiplier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlQueryMXBeanImpl

    public SqlQueryMXBeanImpl​(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### getLongQueryWarningTimeout

    public long getLongQueryWarningTimeout()

Specified by:
  `getLongQueryWarningTimeout` in interface `SqlQueryMXBean`
Returns:
  Timeout in milliseconds after which long query warning will be printed.

#### setLongQueryWarningTimeout

    public void setLongQueryWarningTimeout​(long longQryWarningTimeout)

Sets timeout in milliseconds after which long query warning will be printed.

Specified by:
  `setLongQueryWarningTimeout` in interface `SqlQueryMXBean`
Parameters:
  `longQryWarningTimeout` - Timeout in milliseconds after which long query warning will be printed.

#### getLongQueryTimeoutMultiplier

    public int getLongQueryTimeoutMultiplier()

Specified by:
  `getLongQueryTimeoutMultiplier` in interface `SqlQueryMXBean`
Returns:
  Long query timeout multiplier.

#### setLongQueryTimeoutMultiplier

    public void setLongQueryTimeoutMultiplier​(int longQryTimeoutMultiplier)

Sets long query timeout multiplier. The warning will be printed after: - timeout; - timeout * multiplier; - timeout * multiplier * multiplier; - etc. If the multiplier <= 1, the warning message is printed once.

Specified by:
  `setLongQueryTimeoutMultiplier` in interface `SqlQueryMXBean`
Parameters:
  `longQryTimeoutMultiplier` - Long query timeout multiplier.

#### getResultSetSizeThreshold

    public long getResultSetSizeThreshold()

Specified by:
  `getResultSetSizeThreshold` in interface `SqlQueryMXBean`
Returns:
  Threshold for the number of rows of the result, when count of fetched rows is bigger than the threshold warning will be printed.

#### setResultSetSizeThreshold

    public void setResultSetSizeThreshold​(long rsSizeThreshold)

Sets threshold result's row count, when count of fetched rows is bigger than the threshold warning will be printed.

Specified by:
  `setResultSetSizeThreshold` in interface `SqlQueryMXBean`
Parameters:
  `rsSizeThreshold` - Threshold result's row count, when count of fetched rows is bigger than the threshold warning will be printed.

#### getResultSetSizeThresholdMultiplier

    public int getResultSetSizeThresholdMultiplier()

Gets result set size threshold multiplier. The warning will be printed after: - size of result set > threshold; - size of result set > threshold * multiplier; - size of result set > threshold * multiplier * multiplier; - etc. If the multiplier <= 1, the warning message is printed once during query execution and the next one on the query end.

Specified by:
  `getResultSetSizeThresholdMultiplier` in interface `SqlQueryMXBean`
Returns:
  Result set size threshold multiplier.

#### setResultSetSizeThresholdMultiplier

    public void setResultSetSizeThresholdMultiplier​(int rsSizeThresholdMultiplier)

Sets result set size threshold multiplier.

Specified by:
  `setResultSetSizeThresholdMultiplier` in interface `SqlQueryMXBean`
Parameters:
  `rsSizeThresholdMultiplier` - Result set size threshold multiplier.